## org.apache.aries.subsystem.core.internal
Class OsgiIdentityRequirement

    java.lang.Object
      org.apache.aries.subsystem.core.internal.AbstractRequirement
          org.apache.aries.subsystem.core.internal.OsgiIdentityRequirement

All Implemented Interfaces:
  org.osgi.resource.Requirement

    public class OsgiIdentityRequirement

extends AbstractRequirement

Constructor Summary
`OsgiIdentityRequirement(org.osgi.resource.Resource resource, boolean transitive)`
`OsgiIdentityRequirement(String symbolicName, org.osgi.framework.VersionRange versionRange, String type, boolean transitive)`
`OsgiIdentityRequirement(String symbolicName, org.osgi.framework.Version version, String type, boolean transitive)`

Method Summary
`Map<String,Object>` `getAttributes()`
`Map<String,String>` `getDirectives()`
`String` `getNamespace()`
`org.osgi.resource.Resource` `getResource()`
`boolean` `isTransitiveDependency()`

Methods inherited from class org.apache.aries.subsystem.core.internal.AbstractRequirement
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OsgiIdentityRequirement

    public OsgiIdentityRequirement(String symbolicName,
                                   org.osgi.framework.VersionRange versionRange,
                                   String type,
                                   boolean transitive)

### OsgiIdentityRequirement

    public OsgiIdentityRequirement(String symbolicName,
                                   org.osgi.framework.Version version,
                                   String type,
                                   boolean transitive)

### OsgiIdentityRequirement

    public OsgiIdentityRequirement(org.osgi.resource.Resource resource,
                                   boolean transitive)

Method Detail

### getAttributes

    public Map<String,Object> getAttributes()

### getDirectives

    public Map<String,String> getDirectives()

### getNamespace

    public String getNamespace()

### getResource

    public org.osgi.resource.Resource getResource()

### isTransitiveDependency

    public boolean isTransitiveDependency()

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.